#! /usr/bin/env zsh

for f in src/*.h src/*/*.h src/*/*.cc; do
    echo -n '.';
    grep '// Copyright (C) 2010 Joerg Arndt' $f >/dev/null;
    [[ $? != '0' ]] && { echo; echo "Add copyright notice to file [$f]" 1>&2; exit 1; }
done

echo;
exit 0;
#######################
